Version 4.0.26.22 (latest)

Update custom welcome email setting and values. Optionally send a test email with the new content to the currently logged in user.

## Request

PATCH /custom_welcome_email Datatype Description Request HTTP Request body HTTP Body Expand HTTP Body definition... body [CustomWelcomeEmail](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/CustomWelcomeEmail) Custom Welcome Email setting and value to save Expand CustomWelcomeEmail definition... enabled boolean If true, custom email content will replace the default body of welcome emails content string The HTML to use as custom content for welcome emails. Script elements and other potentially dangerous markup will be removed. subject string The text to appear in the email subject line. Only available with a whitelabel license and whitelabel_configuration.advanced_custom_welcome_email enabled. header string The text to appear in the header line of the email body. Only available with a whitelabel license and whitelabel_configuration.advanced_custom_welcome_email enabled. query HTTP Query Expand HTTP Query definition... send_test_welcome_email boolean If true a test email with the content from the request will be sent to the current user after saving

## Response

### 200: Custom Welcome Email

Datatype Description (object) [CustomWelcomeEmail](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/CustomWelcomeEmail) enabled boolean If true, custom email content will replace the default body of welcome emails content string The HTML to use as custom content for welcome emails. Script elements and other potentially dangerous markup will be removed. subject string The text to appear in the email subject line. Only available with a whitelabel license and whitelabel_configuration.advanced_custom_welcome_email enabled. header string The text to appear in the header line of the email body. Only available with a whitelabel license and whitelabel_configuration.advanced_custom_welcome_email enabled.

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 422: Validation Error

Datatype Description (object) [ValidationError](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationError) message string Error details errors [ValidationErrorDetail](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationErrorDetail)\[\] Expand ValidationErrorDetail definition... field string Field with error code string Error code message string Error info message documentation_url string Documentation link documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link